Retrieve MetroCluster operations on the local cluster
Retrieves the list of MetroCluster operations on the local cluster to monitor and manage ongoing and completed tasks. This helps you ensure efficient operation and troubleshooting of the MetroCluster configuration.
HTTP method and endpoint
GET /cluster/metrocluster/operations
Introduced in
ONTAP 9.8
Related ONTAP Commands
-
metrocluster operation history show
Learn more
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
uuid |
string |
query |
False |
Filter by uuid |
type |
string |
query |
False |
Filter by type |
state |
string |
query |
False |
Filter by state |
node.uuid |
string |
query |
False |
Filter by node.uuid
|
node.name |
string |
query |
False |
Filter by node.name
|
additional_info |
string |
query |
False |
Filter by additional_info |
errors |
string |
query |
False |
Filter by errors |
command_line |
string |
query |
False |
Filter by command_line |
start_time |
string |
query |
False |
Filter by start_time |
end_time |
string |
query |
False |
Filter by end_time |
fields |
array[string] |
query |
False |
Specify the fields to return. |
max_records |
integer |
query |
False |
Limit the number of records returned. |
return_records |
boolean |
query |
False |
The default is true for GET calls. When set to false, only the number of records is returned.
|
return_timeout |
integer |
query |
False |
The number of seconds to allow the call to execute before returning. When iterating over a collection, the default is 15 seconds. ONTAP returns earlier if either max records or the end of the collection is reached.
|
order_by |
array[string] |
query |
False |
Order results by specified fields and optional [asc |
Response
Status: 200, Ok
| Name | Type | Description |
|---|---|---|
_links |
||
num_records |
integer |
Number of Records |
records |
array[metrocluster_operation] |
Example response
{
"_links": {
"next": {
"href": "/api/resourcelink"
},
"self": {
"href": "/api/resourcelink"
}
},
"num_records": 1,
"records": [
{
"_links": {
"self": {
"href": "/api/resourcelink"
}
},
"additional_info": "MetroCluster switchover with auto heal completed successfully.",
"command_line": "metrocluster switchover",
"end_time": "2016-03-10 17:35:16 -0500",
"errors": [
"siteB (warning): Unable to prepare the partner cluster for a pending switchback operation. Reason: entry doesn't exist. Reboot the nodes in the partner cluster before using the \"metrocluster switchback\" command."
],
"node": {
"_links": {
"self": {
"href": "/api/resourcelink"
}
},
"name": "node1",
"uuid": "1cd8a442-86d1-11e0-ae1c-123478563412"
},
"start_time": "2016-03-10 17:33:16 -0500",
"state": "completed_with_warnings",
"type": "switchover",
"uuid": "11111111-2222-3333-4444-abcdefabcdef"
}
]
}
Error
Status: Default
ONTAP Error Response Codes
| Error Code | Description |
|---|---|
2425734 |
An internal error occurred. Wait a few minutes, and try the operation again. For further assistance, contact technical support. |
Also see the table of common errors in the Response body overview section of this documentation.
| Name | Type | Description |
|---|---|---|
error |
Example error
{
"error": {
"arguments": [
{
"code": "string",
"message": "string"
}
],
"code": "4",
"message": "entry doesn't exist",
"target": "uuid"
}
}
Definitions
See Definitions
href
| Name | Type | Description |
|---|---|---|
href |
string |
collection_links
| Name | Type | Description |
|---|---|---|
next |
||
self |
self_link
| Name | Type | Description |
|---|---|---|
self |
_links
| Name | Type | Description |
|---|---|---|
self |
node
Node from where the command is executed.
| Name | Type | Description |
|---|---|---|
_links |
||
name |
string |
|
uuid |
string |
metrocluster_operation
Data for a MetroCluster operation. REST: /api/cluster/metrocluster/operations
| Name | Type | Description |
|---|---|---|
_links |
||
additional_info |
string |
Additional information for the auto heal. |
command_line |
string |
Command line executed with the options specified. |
end_time |
string |
End Time |
errors |
array[string] |
List of errors in the operation. |
node |
Node from where the command is executed. |
|
start_time |
string |
Start Time |
state |
string |
Indicates the state of the operation. |
type |
string |
Name of the operation. |
uuid |
string |
Identifier for the operation. |
error_arguments
| Name | Type | Description |
|---|---|---|
code |
string |
Argument code |
message |
string |
Message argument |
returned_error
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
target |
string |
The target parameter that caused the error. |